package com.sf.beanLifeCycle.service.impl;


import com.sf.beanLifeCycle.service.TeaService;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

/**
 * @author WanJl
 * @version 1.0
 * @title TeaServiceImpl
 * @description
 * @create 2025/11/23
 */
public class TeaServiceImpl implements TeaService, InitializingBean, DisposableBean {
    /*
        InitializingBean 接口 是专门用来规定初始化规则的接口，里面有初始化的抽象方法
        DisposableBean 接口是专门永安里规定销毁前执行的规则的接口，里面有销毁前要执行的抽象方法
        无论是不是实现了InitializingBean接口的初始化方法，在初始化bean的时候都会执行bean的初始化方法
     */


    @Override
    public void print() {
        System.out.println("TeaServiceImpl.print()方法.....");
    }

    @Override
    public void destroy() throws Exception {
        System.out.println(this+"对象即将要被销毁了........");
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        System.out.println("当前的XXX线程创建了一个"+this+"对象");

    }
}
